<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>
<xsl:template match="LAYOUT">
<xsl:variable name="cID" select="@ID"/>

<html>
<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td valign="top" style="background:url('images/bg_10.gif');">
			<table width="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td valign="top" height="700" style="background: url('images/bg1.gif'); padding: 0 10px; background-repeat:repeat-x;">
						<table width="100%"  border="0" cellspacing="0" cellpadding="0" >
							<tr>
								<td  width="100%" height="98" align="center" style="background: url('images/header_1.jpg') no-repeat; background-position: right;padding-left:70px;">
									<!-- MENU -->
								    <table width="100"  border="0"  cellpadding="0" cellspacing="0">
							              <tr>
							                <xsl:call-template name="TOP-MENU"/>
							              </tr>
							            </table>
									<!-- END MENU -->
								</td>
							</tr>
							<tr>
								<td height="98" valign="top">
									<table width="100%"  border="0" cellspacing="0" cellpadding="0">
										<tr>
											<td width="60"><div style="width:60px;"></div></td>
											<td valign="top">
												<table width="100%"  border="0" cellspacing="0" cellpadding="0">
													<tr>
														<td height="250" style="background:url('images/2_05.gif');">
															<table width="100%"  border="0" cellspacing="0" cellpadding="0">
																<tr>
																	<td width="100%" height="92" style="background: url('images/3_04.gif') no-repeat;padding-top:35px;">
																		<!--LOGO -->
																		<table width="100%"  border="0" cellpadding="0" cellspacing="0">
																			<tr>
																				<td width="60" rowspan="2"><div style="width:60px;"></div></td>
																				<td width="30">
																					<a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a>
																				</td>
																				<td class="company" valign="bottom">
																					<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
																				</td>
																			</tr>
																			<tr>
																				<td></td>
													                            <td class="slogan">
																					<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
													                            </td>
																			</tr>
																		</table>
																		<!-- END LOGO -->
																	</td>
											                        <td rowspan="2" width="70%"></td>
											                        <td valign="top" width="362" rowspan="2" align="right">
											                           <img src="images/header.jpg" width="362" height="276"/></td>
											                    </tr>
											                    <tr>
																	<td></td>
											                    </tr>
											                </table>
														</td>
											        </tr>
											    </table>
											    <table width="100%"  border="0" cellpadding="0" cellspacing="0">
													<tr>
														<td width="20%" rowspan="2" valign="top" style="background:url('images/8_09.gif');">
															<table  border="0" cellspacing="0" cellpadding="0">
																<tr>
											                        <td width="30"><div style="width:30px;"></div></td>
											                        <td colspan="2" class="submenu" valign="top">
																		<!-- SUBMENU -->
											                            <table width="150"  border="0" cellpadding="0" cellspacing="8">
																			<tr>
																				<td colspan="2"><div style="height:20px;"></div></td>
																			</tr>
											                                <xsl:call-template name="SUB-MENU">
																				<xsl:with-param name="pageID" select="@ID"/>
											                                </xsl:call-template>
											                            </table>
																		<!-- END SUBMENU -->
											                        </td>
											                        <td width="30"><div style="width:30px;"></div></td>
											                    </tr>
											                </table>
														</td>  			
											            <td height="20" valign="top" style="background:url('images/8_09.gif');">
															<table  border="0" cellspacing="0" cellpadding="0">
											                    <tr>
																	<td class="text-header">
																		<div style="width:400px;">
																			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
																		</div>
																	</td>
											                    </tr>
											                </table>
														</td>			
											        </tr>
											        <tr>
														<!--CONTENT -->
											            <td valign="top" style="background:url('images/8_09.gif'); padding-top:10px;padding-right:20px; padding-bottom: 200px;" class="pageContent" name="SB_stretch">
															<xsl:apply-templates select="PAGE-CONTENT"/>
														</td>
														<!-- END CONTENT -->  
											        </tr>
											        <tr>
														<td height="38" colspan="2" valign="bottom">
															<table width="100%"  border="0" cellspacing="0" cellpadding="0">
																<tr>
																	<td width="116" height="38" style="background:url('images/4_09.gif') no-repeat;"></td>
											                        <td style="background:url('images/7_10.gif'); "><div style="width:38px; "></div></td>
											                        <td width="116" style="background:url('images/6_11.gif') no-repeat; background-position:right;"></td>
											                    </tr>
											                </table>
														</td>
											        </tr>
											    </table>                  
											</td>
											<td width="60" valign="top" style="background:url('images/header_2.jpg') no-repeat;">
												<div style="width:60px; "></div>
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td height="98" valign="top">
									<!-- FOOTER -->
									<table width="50%" border="0" align="center" cellpadding="0" cellspacing="0">
										<tr>
											<td height="30" colspan="2" align="right" class="footer"></td>
										</tr>
										<tr>
											<td align="center" class="footer">
												<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
											</td>
										</tr>
									</table>
									<!-- END FOOTER -->
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</body>
</html>



</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td class="asubmenu" style="padding-right: 5px; width: 100%;">
				<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
				</td>
				<td>
				<img src="images/10_12.gif" border="0" alt=""/>
				</td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-right: 5px; width: 100%;">
					<a href="{@HREF}" class="submenu">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
					</a>
					</td>
					
					<td>
					<a href="{@HREF}">
					<img src="images/10_12.gif" border="0" alt=""/>
					</a>
					</td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2"><div style="height:2px; background-image: url('images/11_12.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		
			<td align="center"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			
			<td align="center" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            
           </xsl:when>
           <xsl:otherwise>
		   
			<td align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="30" align="center" rowspan="2">
			<img src="images/bmenu_separator.gif" /></td>
			
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

