<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <!--MENU-->
  <xsl:template match="MENU" mode="top">
    <xsl:apply-templates select="MENU-ITEM"  mode="top"/>
  </xsl:template>

  <!--MENU-ITEM-->
  <xsl:template match="MENU-ITEM"  mode="top">
    <xsl:choose>
      <!-- active menu with link-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

        <td align="center" valign="center" class="amenu">
          <img src="images/bullet2s.gif" border="0" alt=""/>
        </td>
        <td align="center" valign="center" class="amenu">
          <a href="{@HREF}" class="amenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:when>
      <!-- active menu without link-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

        <td align="center" valign="center" class="amenu">
          <img src="images/bullet2s.gif" border="0" alt=""/>
        </td>
        <td align="center" valign="center" class="amenu">
          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </td>
      </xsl:when>
      <xsl:otherwise>

        <td align="center" valign="center">
          <img src="images/bullet2.gif" border="0" alt=""/>
        </td>
        <td align="center" valign="center">
          <a href="{@HREF}" class="menu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td colspan="2"  align="right" style="padding:  0 20px;">

      </td>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>