<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
                <td valign="top" align="left" width="100">
                  <table width="100"  border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td height="4px"><img src="" height="4px" width="0" border="0"/></td>
                    </tr>
                    <tr>
                      <td align="center" style="padding-left:5px;padding-right:5px;"><img src="images/bullet.gif" width="15" height="9"/><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
                        </td>
                    </tr>
                    <tr>
                      <td height="4px"><img src="" height="4px" width="0" border="0"/></td>
                    </tr>
                  </table></td>


            </xsl:when>
            <!-- active menu without link-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		   	 <td  valign="top" align="left" width="90">
				<table width="90"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="5px" height="4px"><img src="images/menutl.jpg"/></td>
                    <td background="images/menut.jpg"><img src="images/menut.jpg"/></td>
                    <td width="5px"><img src="images/menutr.jpg"/></td>
                  </tr>
                  <tr>
                    <td background="images/menubg.jpg" height="20px" width="5px"><img src="images/menubg.jpg"/></td>
                    <td background="images/menubg.jpg" align="center"><img src="images/bullet1.gif" width="15" height="9"/><span class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                    <td width="5px" background="images/menubg.jpg"><img src="images/menubg.jpg"/></td>
                  </tr>
                  <tr>
                    <td height="4px"><img src="images/menubl.jpg"/></td>
                    <td background="images/menub.jpg"><img src="images/menub.jpg"/></td>
                    <td ><img src="images/menubr.jpg"/></td>
                  </tr>
                </table></td>
		   
		   

            </xsl:when>
            <xsl:otherwise>
               <td valign="top" align="left" width="90">
                  <table width="90"  border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td height="4px"><img src="" height="4px" width="0" border="0"/></td>
                    </tr>
                    <tr>
                      <td align="center" style="padding-left:5px;padding-right:5px;"><img src="images/bullet.gif" width="15" height="9"/><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
                        </td>
                    </tr>
                    <tr>
                      <td height="4px"><img src="" height="4px" width="0" border="0"/></td>
                    </tr>
                  </table></td>

            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
			
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
