<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <!--MENU-->
  <xsl:template match="MENU" mode="top">
    <xsl:apply-templates select="MENU-ITEM"  mode="top"/>
  </xsl:template>

  <!--MENU-ITEM-->
  <xsl:template match="MENU-ITEM"  mode="top">
    <xsl:choose>
      <!-- active menu with link-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
<td width="120">
<table width="120" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="11" height="9"><img src="images/menutl.gif" width="11" height="9"/></td>
    <td background="images/menut.gif"><img src="images/menut.gif" width="3" height="9"/></td>
    <td width="11"><img src="images/menutr.gif" width="11" height="9"/></td>
  </tr>
  <tr>
    <td background="images/menul.gif"><img src="images/menul.gif"/></td>
    <td background="images/menubg.gif" align="center"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    <td  background="images/menur.gif"><img src="images/menur.gif" width="11" height="11"/></td>
  </tr>
  <tr>
    <td height="9"><img src="images/menubl.gif" width="11" height="9"/></td>
    <td background="images/menub.gif"><img src="images/menub.gif" width="3" height="9"/></td>
    <td><img src="images/menubr.gif" width="11" height="9"/></td>
  </tr>
</table>
</td>
      </xsl:when>
      <!-- active menu without link-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
<td width="120">
<table width="120" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="11" height="9"><img src="images/menutl.gif" width="11" height="9"/></td>
    <td background="images/menut.gif"><img src="images/menut.gif" width="3" height="9"/></td>
    <td width="11"><img src="images/menutr.gif" width="11" height="9"/></td>
  </tr>
  <tr>
    <td background="images/menul.gif"><img src="images/menul.gif"/></td>
    <td background="images/menubg.gif" class="amenu" align="center"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
    <td  background="images/menur.gif"><img src="images/menur.gif" width="11" height="11"/></td>
  </tr>
  <tr>
    <td height="9"><img src="images/menubl.gif" width="11" height="9"/></td>
    <td background="images/menub.gif"><img src="images/menub.gif" width="3" height="9"/></td>
    <td><img src="images/menubr.gif" width="11" height="9"/></td>
  </tr>
</table>
</td>
      </xsl:when>
      <xsl:otherwise>

        <td align="center" width="72"  style="background-image: url('images/bullet3.gif'); background-position:left; background-repeat:no-repeat;padding: 0 8px;">
          <a href="{@HREF}" class="menu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td align="right" style="padding:  0 20px;">

      </td>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>
