<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="74" height="322" valign="top" bgcolor="#434241" ><img src="images/001.gif" width="74" height="322"/></td>
    <td valign="top" background="images/003.gif" bgcolor="#434241" style="background-position:bottom left;background-repeat:repeat-x;"><table width="100%" height="322" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td valign="top" background="images/002.jpg" style="background-position:top left;background-repeat:no-repeat;"><table width="100%" height="322" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td valign="top" background="images/004.jpg" style="background-position:top right;background-repeat:no-repeat;"><table width="100%" height="322" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td valign="bottom" background="images/header1.gif" style="background-position:top right;background-repeat:no-repeat;"><table width="100%" height="322" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td>
					<!-- LOGO -->
					<table border="0" cellpadding="0" cellspacing="0" width="300">
                      <tr>
                        <td width="70"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                        <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                      </tr>
                    </table><!-- END LOGO --></td>
                  </tr>
                  <tr>
                    <td height="140" style="padding-left:80px;padding-right:100px;">
						<!-- MENU -->
					<table border="0" align="center" cellpadding="0" cellspacing="0" height="40">
                      <tr>
                        <xsl:call-template name="TOP-MENU"/>
                      </tr>
                    </table>	<!-- END MENU --></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top" bgcolor="#434241" ></td>
    <td valign="top" background="images/007_1.gif"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="100%" valign="top" background="images/007_3.gif" style="background-position:top left;background-repeat:repeat-y;"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td valign="top" background="images/007_5.gif" style="background-position:top right;background-repeat:repeat-y;" height="100%"><table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
              <tr>
                <td height="100%" valign="top" background="images/007_6.jpg" style="background-position:bottom right;background-repeat:no-repeat;"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="210" valign="top" background="images/010_2.jpg" style="background-position:bottom left;background-repeat:no-repeat;"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td valign="top"><table width="210" border="0" cellspacing="0" cellpadding="0">
                              <tr>
                                <td height="100%" valign="top" background="images/010.jpg" style="background-position:top left;background-repeat:no-repeat;"><table width="150" border="0" align="center" cellpadding="0" cellspacing="0" height="300">
                                    <tr>
                                      <td valign="top" background="images/011.gif" style="padding-top:20px;padding-bottom:20px;" height="100%">
									   <!-- SUBMENU -->
									  <table width="106" border="0" align="center" cellpadding="0" cellspacing="0" >
                                          <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                                      </table> <!-- END SUBMENU --></td>
                                    </tr>
                                </table></td>
                              </tr>
                          </table></td>
                        </tr>
                    </table></td>
                    <td valign="top" background="images/010_1.gif" style="background-position:top ;background-repeat:repeat-x;"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td valign="top" background="images/007_4.gif" style="background-position:top right;background-repeat:no-repeat;padding-left:10px;padding-right:30px;">
						  <!-- CONTENT -->
						  <table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
                            <tr>
                              <td style="padding:10px;"><table  border="0" cellpadding="0" cellspacing="0">
                                  <tr>
                                    <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                                   
                                  </tr>
                                </table>
                                  <br/>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
                            </tr>
                          </table><!-- END CONTENT --></td>
                        </tr>
                    </table></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
        <td width="66" valign="top" bgcolor="#424140"><img src="images/007_2.gif" width="66" height="27"/></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top" bgcolor="#434241" ></td>
    <td height="150" valign="top" bgcolor="#424140" style="padding-right:66px;"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="361" valign="top"><img src="images/008_2.jpg" width="361" height="150"/></td>
        <td width="100%" background="images/008_1.gif"></td>
        <td width="268" valign="top"><img src="images/008.jpg" width="268" height="150"/></td>
        </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top" bgcolor="#434241" ></td>
    <td height="100" bgcolor="#424140" style="padding-right:74px;padding-bottom:20px;">
	<!-- BOTTOM MENU -->
	<table border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <xsl:call-template name="BOTTOM-MENU"/>
        
      </tr>
    </table><!-- END BOTTOM MENU --></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


<tr>
<td width="16" class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td width="16"><img src="images/011_2.gif"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


<tr>
<td class="smenua"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td width="16"><img src="images/011_2.gif"/></td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td colspan="2"><img src="images/011_1.gif"/></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td><div align="center"><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>

           </xsl:when>
           <xsl:otherwise>

<td><div align="center"><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td width="37"><img src="images/009.gif" width="37" height="7"/></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
